Subject: bug#32252: [PATCH] %o and %x now format signed numbers

From: Helmut Eller <[email-masked]>
Date: Thu, 26 Jul 2018 11:56:13 +0200

On Thu, Jul 26 2018, Andreas Schwab wrote:

> On Jul 26 2018, Helmut Eller <[email-masked]> wrote:
>
>> Because Emacs Lisp was very successful without bignums.
>
> The lack of bignums requires workarounds like the first two elements of
> (current-time) or the 11th and 12th element of (file-attributes).

Yes, that's one of the few places where bignums would be useful. But
having a time data-type, maybe just a struct and functions like time-add
etc, would also be good solution.  How often does one need to print a
time value in hex notation?  Probably so rareley that format-time-string
doesn't even support that.

Helmut